Questions concernant Sid, Digikam et KDE

Le
maderios
Bonjour
Ceci ne concerne que Sid.
Depuis un certain temps, j'essaie de comprendre pourquoi Digikam est
bloqué sur la version 4.4. Toutes les autres distributions sont passées
aux versions supérieures, dont la 4.13.
Pour info, Digikam-4.14 est la dernière version de la série 4.xx. La
dernière version de développement, basée sur Qt5, est la 5.xx.
J'ai testé Digikam-4.13 sur une Fedora 23 beta, DK marche bien.
Pour tenter de résoudre le mystère, j'ai cherché et trouvé quelques
liens qui me laissent sur ma faim:
https://tracker.debian.org/pkg/digikam
https://qa.debian.org/developer.php?email=pkg-kde-extras%40lists.alioth.debian.org
https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/digikam/trunk/debian/changelog?r1 086&view=log
Je sais que les derniers gcc et kde posent problème chez debian mais je
ne dispose d'aucune explication claire sur ce sujet.
Les dernières "Nouvelles du projet Debian" n'y font aucune allusion.
Brouillard d'automne

--
Maderios
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Bernard Schoenacker
Le #26374412
Le Tue, 27 Oct 2015 16:00:59 +0100,
maderios
Bonjour
Ceci ne concerne que Sid.
Depuis un certain tshotwellemps, j'essaie de comprendre pourquoi
Digikam est bloqué sur la version 4.4. Toutes les autres
distributions sont passées aux versions supérieures, dont la 4.13.
Pour info, Digikam-4.14 est la dernière version de la série 4.xx. La
dernière version de développement, basée sur Qt5, est la 5.xx.
J'ai testé Digikam-4.13 sur une Fedora 23 beta, DK marche bien.
Pour tenter de résoudre le mystère, j'ai cherché et trouvé quelques
liens qui me laissent sur ma faim:
https://tracker.debian.org/pkg/digikam
https://qa.debian.org/developer.php?email=pkg-kde-extras%40lists.alioth.debian.org
https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/digikam/trunk/debian/changelog?r1 086&view=log
Je sais que les derniers gcc et kde posent problème chez debian mais
je ne dispose d'aucune explication claire sur ce sujet.
Les dernières "Nouvelles du projet Debian" n'y font aucune allusion.
Brouillard d'automne...




bonjour,

essayes de voir avec shotwell ...

apt-cache madison shotwell
shotwell | 0.22.0-2+b1 | http://ftp.fr.debian.org/debian sid/main


rmadison shotwell -a amd64
shotwell | 0.6.1-1+b2 | oldoldstable | amd64
shotwell | 0.12.3-2+deb7u1 | oldstable | amd64
shotwell | 0.20.1-1+b1 | stable | amd64
shotwell | 0.22.0-2+b1 | testing | amd64
shotwell | 0.22.0-2+b1 | unstable | amd64

article concernant digikam et fedora :

http://forums.fedora-fr.org/viewtopic.php?idc412

slt
bernard
Sylvain L. Sauvage
Le #26374417
Le mardi 27 octobre 2015, 16:00:59 maderios a écrit :
Bonjour



’jour,

Ceci ne concerne que Sid.
Depuis un certain temps, j'essaie de comprendre pourquoi
Digikam est bloqué sur la version 4.4.[…]



Non seulement il y a eu la transition GCC 5 (ou plutôt G++ 5)
mais Digikam a aussi été pris dans la transition auto-marble
(plus de lien actif, elle doit être finie) et, comme le dit le
lien que tu as déjà donné, il est dans la future transit ion
auto-kdepim.
Bref, le pauvre Digikam semble cahoté par les transitions
successives et doit aussi souffrir d’un léger manque d†™affection
(ou alors les DD attendent la 5.0?).

Sinon, perso, j’ai eu besoin de sa fonction de détection des
doubles (différente de findimagedupes) alors je l’installà © en
« local » via le tarball des sources (lire README.LOCAL). Il
fonctionne bien pour ce que j’en fais.
Note: à compiler avec Qt4 (paquet qt4-default installé).
(Aussi, attention au copié-collé, il y a une erreur da ns
l’alias proposé : kde-neb au lieu de kde-$USER.)

--
Sylvain Sauvage
maderios
Le #26374488
On Tue, 27 Oct 2015 17:10:23 +0100
"Sylvain L. Sauvage"
Non seulement il y a eu la transition GCC 5 (ou plutôt G++ 5)
mais Digikam a aussi été pris dans la transition auto-marble
(plus de lien actif, elle doit être finie) et, comme le dit le
lien que tu as déjà donné, il est dans la future transition
auto-kdepim.
Bref, le pauvre Digikam semble cahoté par les transitions
successives et doit aussi souffrir d’un léger manque d’affection
(ou alors les DD attendent la 5.0?).

Sinon, perso, j’ai eu besoin de sa fonction de détection des
doubles (différente de findimagedupes) alors je l’installé en
« local » via le tarball des sources (lire README.LOCAL). Il
fonctionne bien pour ce que j’en fais.
Note: à compiler avec Qt4 (paquet qt4-default installé).
(Aussi, attention au copié-collé, il y a une erreur dans
l’alias proposé : kde-neb au lieu de kde-$USER.)



J'avais essayé de compiler DK à une certaine époque mais vu le manque de bibliothèque .deb à jour, j'avais du compiler une foultitude de programmes, tout cela pour obtenir un résultat foireux. Néanmoins, je vais retenter la chose avec les libs dispo dans Sid.

--
Maderios
Publicité
Poster une réponse
Anonyme